MONGOC_URI_GET_SERVICE(3)

NAME
mongoc_uri_get_service - mongoc_uri_get_service()

WARNING: Deprecated since version 1.21.0: This function is deprecated and should not be used in new code.

Please use mongoc_uri_get_srv_hostname() in new code.

SYNOPSIS

const char *
mongoc_uri_get_service (const mongoc_uri_t *uri)
   BSON_GNUC_DEPRECATED_FOR (mongoc_uri_get_srv_hostname);

PARAMETERS

•   uri: A mongoc_uri_t.

    Returns the SRV host and domain name of a MongoDB URI.

RETURNS

A string if this URI's scheme is "mongodb+srv://", or NULL if the scheme is "mongodb://".

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc